Package com.emc.d2fs.models.rasters

# Class Rasters

java.lang.Object
com.emc.d2fs.models.rasters.Rasters

All Implemented Interfaces:
  `Serializable`

public class Rasters extends Object implements Serializable

Java class for Rasters complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Rasters">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Raster" maxOccurs="unbounded">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="URI" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       <element name="BASE64URI" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       <element name="Title" type="{http://www.w3.org/2001/XMLSchema}string"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Rasters.Raster`
  Java class for anonymous complex type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rasters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Rasters.Raster>`
  `getRaster()`
  Gets the value of the raster property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Rasters

    public Rasters()

- ## Method Details

  - ### getRaster

    public List<Rasters.Raster> getRaster()
    Gets the value of the raster property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the raster property.

    For example, to add a new item, do as follows:

            getRaster().add(newItem);

    Objects of the following type(s) are allowed in the list `Rasters.Raster`